<template>
    <el-button type="warning" @click="dialog = true">解锁病历质控</el-button>
    <emr-dialog v-if="dialog" @closed="dialog = false" :new-date="newDate"/>
</template>

<script setup name="EmrQualityControlRelieve">
import EmrDialog from './EmrDialog.vue'
import {getServerDateApi} from "@/api/public-api";

const dialog = ref(false)

const newDate = ref(null)

onMounted(async () => {
    newDate.value = new Date(await getServerDateApi())
})

</script>

<style scoped lang="scss">

</style>
